[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / CheckboxCellComponent

# Class: CheckboxCellComponent\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:19](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L19)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new CheckboxCellComponent()

> **new CheckboxCellComponent**\<`Data`\>(`selectRow`): [`CheckboxCellComponent`](CheckboxCellComponent.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L24)

#### Parameters

##### selectRow

[`SelectRowService`](SelectRowService.md)\<`Data`\>

#### Returns

[`CheckboxCellComponent`](CheckboxCellComponent.md)\<`Data`\>

## Properties

### element

> **element**: `Data`

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L22)

***

### selectRow

> `readonly` **selectRow**: [`SelectRowService`](SelectRowService.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts#L26)
